/*********************************************************************************

Copyright(c) 2014-2016 Analog Devices, Inc. All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

*********************************************************************************/
/*!
* @file      configClocks.h
*
* @brief     This is the primary header file for the Si5356A (clock generator) example.
*
*/

#ifndef CONFIG_CLOCKS_H
#define CONFIG_CLOCKS_H

/*
 * Processor specific macros
 */

#define TARGETADDR    (0x70u)     /* hardware address for the Si5356A (clock generator) */

#define TWIDEVNUM     (0u)        /* TWI device number */
#define BITRATE       (100u)      /* kHz */
#define DUTYCYCLE     (50u)       /* percent */
#define PRESCALEVALUE (11u)       /* fSCLK/10MHz (112.5 sclk) */

#define BUFFER_SIZE   (8)

#define CGU_DEV                 (0)

extern void configClocks (void);

#endif /* CONFIG_CLOCKS_H */



